Main Page Class Hierarchy Compound List File List Compound Members

# GDS_driver_in Class Reference

Input driver for GDSII files. More...

`#include <gdsdrin.h>`

List of all members.

## Public Methods
| GDS_driver_in (const wxString &filename)
| constructor
void | Read (GdsII *_GdsII)
| read in total GDSII file
## Protected Methods
bool | ReadHeader (int type)
void | SkipData ()
| skip the date of the last read record
void | ReadString (wxString &a_string)
| read string data for Text element, structure names etc.
## Protected Attributes
wxString | GDS_filename
| input file name
Gdsio | GDS_file
| input file handle
bool | _back
| last read record is stored
TWO_G_BYTE_UNSIGNED_INTEGER | _recordsize
| size of the last read record
G_BYTE | _recordtype
| recordtype of last read record
G_BYTE | _datatype
| the type of the data in the last read record
int | _mapping_in [1000]
| mapping of GDSII layers to internal layers
GdsII * | m_cur_gdsii
| the units of the current file that is read

## Detailed Description

Input driver for GDSII files.

Every record in the GDSII file is read/mapped into the right internal structure The GDSII file is parsed according to the BNF of the GDSII format. Info on the different record types that are read can be found in the GDSII format manual All basic data types are read using a specialized file stream.

See also:
  Gdsio

## Constructor & Destructor Documentation

GDS_driver_in::GDS_driver_in | ( | const wxString & | filename | ) |

  | constructor Parameters:
  setup: | layer properties
  filename: | name of GDSII input file

## Member Function Documentation

void GDS_driver_in::Read | ( | GdsII * | _GdsII | ) |

  | read in total GDSII file Parameters:
  _GdsII: | Internal database structure pointer

bool GDS_driver_in::ReadHeader | ( | int | type | ) | `[protected]`

| read the specified record type from the GDSII file if the last record is not this type, it is stored for the next read

The documentation for this class was generated from the following file:

- gdsdrin.h

GDS_driver_in class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page